> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payout



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/payouts
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /api/payouts:
    post:
      tags:
        - Payouts
      summary: Create a payout
      operationId: Payout_PayoutUrl
      requestBody:
        content:
          application/json:
            schema:
              type: object
              title: Payout request
              x-examples:
                EUR payout:
                  amount: 100
                  currency: EUR
                  iban: DE75512108001245126199
                  beneficiaryName: Mark Schmidt
                  webhookUrl: https://example.com/webhookUrl
                  requestId: test_EUR
              description: Data needed to create a new payout
              properties:
                amount:
                  format: decimal
                  type: number
                  description: The total amount to be transferred, in decimal format.
                requestId:
                  type: string
                  description: >-
                    The payout's unique identifier (to prevent duplicate
                    requests).
                currency:
                  type: string
                  description: 'Payment currency. Currently accepted: EUR.'
                iban:
                  type: string
                  description: Recipient's IBAN (International Bank Account Number).
                beneficiaryName:
                  type: string
                  description: Recipient's full name.
                webhookUrl:
                  type: string
                  description: The URL that'll be used to fetch payout status updates.
              required:
                - amount
                - currency
                - beneficiaryName
                - requestId
                - iban
                - webhookUrl
            examples:
              EUR payout:
                value:
                  amount: 50
                  currency: EUR
                  iban: DE75512108001245126199
                  beneficiaryName: Mark Schmidt
                  webhookUrl: https://example.com/webhookUrl
                  requestId: payout1794
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: Payout response
                properties:
                  id:
                    type: string
                    description: This payout's unique ID in Rocka's records.
                  amount:
                    format: decimal
                    type: number
                    description: Payout amount.
                  currency:
                    type: string
                    description: Payout currency.
                  requestId:
                    type: string
                    description: >-
                      The payout's unique identifier (to prevent duplicate
                      requests).
                  createdAt:
                    type: string
                    description: Date and time when the payout was registered by Rocka.
                  status:
                    description: Payout status.
                    enum:
                      - Processing
                      - Executing
                      - Failed
                      - Done
                    type: string
                  iban:
                    type: string
                    description: Recipient's IBAN (International Bank Account Number).
                  beneficiaryName:
                    type: string
                    description: Recipient's full name.
                  beneficiaryRef:
                    type: string
                    description: >-
                      Bank reference, which appears on the beneficiary's bank
                      statement once the payout arrives.
                required:
                  - id
                  - amount
                  - currency
                  - createdAt
                  - status
                  - iban
                  - beneficiaryName
                  - beneficiaryRef
              examples:
                EUR payout:
                  value:
                    iban: DE75512108001245126199
                    beneficiaryName: Mark Schmidt
                    beneficiaryRef: BC83DF4B0A634 OU
                    id: e01186ef9a1442afb924a8ad60d24390
                    status: Processing
                    createdAt: '2026-05-08T11:26:10.455Z'
                    amount: 50
                    currency: EUR
                    requestId: payout1794
          description: ''
        '400':
          description: Bad Request
        '401':
          description: Unauthorised
        '403':
          description: Forbidden
        '404':
          description: Not Found
      security:
        - APIkey: []
components:
  securitySchemes:
    APIkey:
      description: >-
        To get your own API keys, go to the **Integration** tab in your [Rocka
        Hub](https://hub.rocka.live).
      in: header
      name: x-api-key
      type: apiKey

````